SPEED(1) | OpenSSL | SPEED(1)

# NAME

speed - test library performance

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

openssl speed [ -engine id] [ md2] [ mdc2] [ md5] [ hmac] [ sha1] [ rmd160] [ idea-cbc] [ rc2-cbc] [ rc5-cbc] [ bf-cbc] [ des-cbc] [ des-ede3] [ rc4] [ rsa512] [ rsa1024] [ rsa2048] [ rsa4096] [ dsa512] [ dsa1024] [ dsa2048] [ idea] [ rc2] [ des] [ rsa] [ blowfish]

# DESCRIPTION

This command is used to test the performance of cryptographic algorithms.

# OPTIONS

-engine id
  specifying an engine (by its unique id string) will cause speed to attempt to obtain a functional reference to the specified engine, thus initialising it if needed. The engine will then be set as the default for all available algorithms.

[zero or more test algorithms]
  If any options are given, speed tests those algorithms, otherwise all of the above are tested.

2009-07-20 | 1.0.1-dev